//#include <QCoreApplication>
#include <QDebug>
#include <QDBusReply>
#include <QDBusConnection>

int main(int argc, char *argv[])
{
   //QCoreApplication a(argc, argv);
   Q_UNUSED(argc);
   Q_UNUSED(argv);
   QDBusMessage m = QDBusMessage::createMethodCall("this.is.a.peertest","/","local.PeerDBusServer","address");
   QDBusReply<QString> reply=QDBusConnection::sessionBus().call(m);
   if(reply.isValid()) {
      qDebug()<<"got address:"<<reply.value();
      QDBusConnection dc = QDBusConnection::connectToPeer(reply.value(),"fwconfig");
      qDebug()<<"last error:"<<QDBusError::errorString(dc.lastError().type());
      m = QDBusMessage::createMethodCall("com.hbm.fwconfig","/peerdbus","local.PeerDBusServer","address");
      reply=dc.call(m);
      if(reply.isValid()) {
         qDebug()<<"call via peer succeeded";
      } else {
         qDebug()<<"call via peer failed!"<<m.errorMessage();
      }
   } else {
      qDebug()<<"dbus call to peer failed.";
   }
   //return a.exec();
}
